Skip to main content
GET
/
projects
/
{slug}
/
environments
/
{environmentSlug}
/
variables
/
{name}
Get variable by name
curl --request GET \
  --url https://api.envless.cloud/projects/{slug}/environments/{environmentSlug}/variables/{name} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "code": 200,
  "message": "OK",
  "data": {
    "id": "<string>",
    "name": "DATABASE_URL",
    "value": "5J9k...==",
    "environmentId": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.envless.cloud/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Personal access key from https://app.envless.cloud/keys. Pass as Authorization: Bearer ev_live_....

Path Parameters

slug
string
required

The project's slug.

environmentSlug
string
required

The environment's slug.

name
string
required

The variable's name.

Example:

"DATABASE_URL"

Response

Variable object

success
boolean
Example:

true

code
integer
Example:

200

message
string
Example:

"OK"

data
object